/* 蓄積スキーマ */
/* execute_dateがnullのレコードを抽出し、取込ファイル名のyyyymmdd部分を切り出しセットする */
update src04.saps_stocklist 
set
    execute_date = STR_TO_DATE(SUBSTRING(file_name,11,8),'%Y%m%d') 
where
    execute_date is null